/*******************************************************************************
* Copyright (C) 2013 Spansion LLC. All Rights Reserved.
*
* This software is owned and published by:
* Spansion LLC, 915 DeGuigne Dr. Sunnyvale, CA  94088-3453 ("Spansion").
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with Spansion
* components. This software is licensed by Spansion to be adapted only
* for use in systems utilizing Spansion components. Spansion shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein.  Spansion is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* SPANSION MAKES NO WARRANTY, EXPRESS OR IMPLIED, ARISING BY LAW OR OTHERWISE,
* REGARDING THE SOFTWARE (INCLUDING ANY ACOOMPANYING WRITTEN MATERIALS),
* ITS PERFORMANCE OR SUITABILITY FOR YOUR INTENDED USE, INCLUDING,
* WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, THE IMPLIED
* WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE OR USE, AND THE IMPLIED
* WARRANTY OF NONINFRINGEMENT.
* SPANSION SHALL HAVE NO LIABILITY (WHETHER IN CONTRACT, WARRANTY, TORT,
* NEGLIGENCE OR OTHERWISE) FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT
* LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION,
* LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING FROM USE OR
* INABILITY TO USE THE SOFTWARE, INCLUDING, WITHOUT LIMITATION, ANY DIRECT,
* INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR LOSS OF DATA,
* SAVINGS OR PROFITS,
* EVEN IF SPANSION HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* YOU ASSUME ALL RESPONSIBILITIES FOR SELECTION OF THE SOFTWARE TO ACHIEVE YOUR
* INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED
* FROM, THE SOFTWARE.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/
/******************************************************************************/
/** \file pdl_user.h
 **
 ** User settings headerfile for FM0P Peripheral Driver Library.
 **
 ** History:
 **   - 2014-01-31  1.0  Edison Zhang  First release version
 **
 ******************************************************************************/
#ifndef __PDL_USER_H__
#define __PDL_USER_H__

#include "pdl.h"

/******************************************************************************/
/* Global pre-processor symbols/macros ('#define')                            */
/******************************************************************************/

/**
 ******************************************************************************
 ** User Defines for PDL resource activation
 **
 ** Possible definitions are PDL_ON and PDL_OFF.
 **
 ******************************************************************************/

// ADC
#define PDL_PERIPHERAL_ENABLE_ADC0              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_ADC1              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_ADC2              PDL_OFF

// Base Timers
#define PDL_PERIPHERAL_ENABLE_BT0               PDL_OFF
#define PDL_PERIPHERAL_ENABLE_BT1               PDL_OFF
#define PDL_PERIPHERAL_ENABLE_BT2               PDL_OFF
#define PDL_PERIPHERAL_ENABLE_BT3               PDL_OFF
#define PDL_PERIPHERAL_ENABLE_BT4               PDL_OFF
#define PDL_PERIPHERAL_ENABLE_BT5               PDL_OFF
#define PDL_PERIPHERAL_ENABLE_BT6               PDL_OFF
#define PDL_PERIPHERAL_ENABLE_BT7               PDL_OFF

// CRC
#define PDL_PERIPHERAL_ENABLE_CRC               PDL_OFF

// Clock
#define PDL_PERIPHERAL_ENABLE_CLK               PDL_OFF

// CR Trimming
#define PDL_PERIPHERAL_ENABLE_CR                PDL_OFF

// Clock Supervisor
#define PDL_PERIPHERAL_ENABLE_CSV               PDL_OFF

// DAC
#define PDL_PERIPHERAL_ENABLE_DAC               PDL_OFF

// DMA
#define PDL_PERIPHERAL_ENABLE_DMA0              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_DMA1              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_DMA2              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_DMA3              PDL_OFF

// DSTC
#define PDL_PERIPHERAL_ENABLE_DSTC              PDL_OFF

// Dual Timer(s)
#define PDL_PERIPHERAL_ENABLE_DT                PDL_OFF

// External Interrupts
#define PDL_PERIPHERAL_ENABLE_EXINT0            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT1            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT2            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT3            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT4            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT5            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT6            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT7            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT8            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT9            PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT10           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT11           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT12           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT13           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT14           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT15           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT15           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT16           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT17           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT18           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT19           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT20           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT21           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT22           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT23           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT24           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT25           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT26           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT27           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT28           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT29           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT30           PDL_OFF
#define PDL_PERIPHERAL_ENABLE_EXINT31           PDL_OFF

// Flash routines
#define PDL_PERIPHERAL_ENABLE_FLASH             PDL_OFF

// GPIO header inclusion
#define PDL_PERIPHERAL_ENABLE_GPIO              PDL_ON

// HDMI routines
#define PDL_PERIPHERAL_ENABLE_HDMI              PDL_OFF

// LPM
#define PDL_PERIPHERAL_ENABLE_LPM               PDL_OFF

// Low Voltage Detection
#define PDL_PERIPHERAL_ENABLE_LVD               PDL_OFF

// Multi Function Serial Interfaces
#define PDL_PERIPHERAL_ENABLE_MFS0              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS1              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS2              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS3              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS4              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS5              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS6              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS7              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS8              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS9              PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS10             PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS11             PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS12             PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS13             PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS14             PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFS15             PDL_OFF

// Multi Function Timer Interfaces
#define PDL_PERIPHERAL_ENABLE_MFT0_FRT          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT0_OCU          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT0_WFG          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT0_ICU          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT0_ADCMP        PDL_OFF

#define PDL_PERIPHERAL_ENABLE_MFT1_FRT          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT1_OCU          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT1_WFG          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT1_ICU          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT1_ADCMP        PDL_OFF

#define PDL_PERIPHERAL_ENABLE_MFT2_FRT          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT2_OCU          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT2_WFG          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT2_ICU          PDL_OFF
#define PDL_PERIPHERAL_ENABLE_MFT2_ADCMP        PDL_OFF

// PPG
#define PDL_PERIPHERAL_ENABLE_PPG               PDL_OFF

// NMI
#define PDL_PERIPHERAL_ENABLE_NMI               PDL_OFF

// Quad Decoder
#define PDL_PERIPHERAL_ENABLE_QPRC0             PDL_OFF
#define PDL_PERIPHERAL_ENABLE_QPRC1             PDL_OFF
#define PDL_PERIPHERAL_ENABLE_QPRC2             PDL_OFF
#define PDL_PERIPHERAL_ENABLE_QPRC3             PDL_OFF

// Reset Cause
#define PDL_PERIPHERAL_ENABLE_RESET             PDL_OFF

// Real Time Clock
#define PDL_PERIPHERAL_ENABLE_RTC               PDL_OFF

// Unique ID
#define PDL_PERIPHERAL_ENABLE_UID               PDL_OFF

// Watch Counter
#define PDL_PERIPHERAL_ENABLE_WC                PDL_OFF

// Watchdog Timers
#define PDL_PERIPHERAL_ENABLE_HWWDG             PDL_OFF
#define PDL_PERIPHERAL_ENABLE_SWWDG             PDL_ON

/**
 ******************************************************************************
 ** User Interrupt activation settings
 **
 ** Possible values are PDL_INT_ACTIVE (Interrupts active) and PDL_INT_INACTIVE
 ** (Interrupts deactivated)
 ******************************************************************************/
// ADC
#define PDL_INTERRUPT_ENABLE_ADC0              PDL_OFF
#define PDL_INTERRUPT_ENABLE_ADC1              PDL_OFF
#define PDL_INTERRUPT_ENABLE_ADC2              PDL_OFF

// Base Timers
#define PDL_INTERRUPT_ENABLE_BT0               PDL_OFF
#define PDL_INTERRUPT_ENABLE_BT1               PDL_OFF
#define PDL_INTERRUPT_ENABLE_BT2               PDL_OFF
#define PDL_INTERRUPT_ENABLE_BT3               PDL_OFF
#define PDL_INTERRUPT_ENABLE_BT4               PDL_OFF
#define PDL_INTERRUPT_ENABLE_BT5               PDL_OFF
#define PDL_INTERRUPT_ENABLE_BT6               PDL_OFF
#define PDL_INTERRUPT_ENABLE_BT7               PDL_OFF

// Clock
#define PDL_INTERRUPT_ENABLE_CLK               PDL_OFF

// Clock Supervisor
#define PDL_INTERRUPT_ENABLE_CSV               PDL_OFF

// DMA
#define PDL_INTERRUPT_ENABLE_DMA0              PDL_OFF
#define PDL_INTERRUPT_ENABLE_DMA1              PDL_OFF
#define PDL_INTERRUPT_ENABLE_DMA2              PDL_OFF
#define PDL_INTERRUPT_ENABLE_DMA3              PDL_OFF

// Dual Timer(s)
#define PDL_INTERRUPT_ENABLE_DT                PDL_OFF

// External Interrupts (automatically set by peripheral enable)
#if (PDL_PERIPHERAL_ENABLE_EXINT0 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT0            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT0            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT1 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT1            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT1            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT2 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT2            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT2            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT3 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT3            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT3            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT4 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT4            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT4            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT5 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT5            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT5            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT6 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT6            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT6            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT7 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT7            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT7            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT8 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT8            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT8            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT9 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT9            PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT9            PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT10 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT10           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT10           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT11 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT11           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT11           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT12 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT12           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT12           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT13 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT13           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT13           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT14 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT14           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT14           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT15 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT15           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT15           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT16== PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT16           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT16           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT17 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT17           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT17           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT18 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT18           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT18           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT19 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT19           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT19           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT20 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT20           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT20           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT21 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT21           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT21           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT22 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT22           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT22           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT23 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT23           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT23           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT24 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT24           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT24           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT25 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT25           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT25           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT26 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT26           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT26           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT27 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT27           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT27           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT28 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT28           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT28           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT29 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT29           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT29           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT30 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT30           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT30           PDL_OFF
#endif
#if (PDL_PERIPHERAL_ENABLE_EXINT31 == PDL_ON)
#define PDL_INTERRUPT_ENABLE_EXINT31           PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_EXINT31           PDL_OFF
#endif

// HDMI routines
#define PDL_INTERRUPT_ENABLE_HDMI              PDL_OFF

// Flash
#define PDL_INTERRUPT_ENABLE_FLASH             PDL_OFF

// LCD
#define PDL_INTERRUPT_ENABLE_LCD               PDL_OFF

// Low Voltage Detection
#define PDL_INTERRUPT_ENABLE_LVD               PDL_OFF

// Multi Function Serial Interfaces
#define PDL_INTERRUPT_ENABLE_MFS0              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS1              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS2              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS3              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS4              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS5              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS6              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS7              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS8              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS9              PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS10             PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS11             PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS12             PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS13             PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS14             PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFS15             PDL_OFF

// Multi Function Timer Interfaces
#define PDL_INTERRUPT_ENABLE_MFT0_FRT          PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFT0_OCU          PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFT0_WFG          PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFT0_ICU          PDL_OFF

#define PDL_INTERRUPT_ENABLE_MFT1_FRT          PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFT1_OCU          PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFT1_WFG          PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFT1_ICU          PDL_OFF

#define PDL_INTERRUPT_ENABLE_MFT2_FRT          PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFT2_OCU          PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFT2_WFG          PDL_OFF
#define PDL_INTERRUPT_ENABLE_MFT2_ICU          PDL_OFF

// NMI
#if (PDL_PERIPHERAL_ENABLE_NMI== PDL_ON)
#define PDL_INTERRUPT_ENABLE_NMI               PDL_ON
#else
#define PDL_INTERRUPT_ENABLE_NMI               PDL_OFF
#endif

// PPG
#define PDL_INTERRUPT_ENABLE_PPG               PDL_OFF

// Quad Decoder
#define PDL_INTERRUPT_ENABLE_QPRC0             PDL_OFF
#define PDL_INTERRUPT_ENABLE_QPRC1             PDL_OFF
#define PDL_INTERRUPT_ENABLE_QPRC2             PDL_OFF
#define PDL_INTERRUPT_ENABLE_QPRC3             PDL_OFF

// Real Time Clock
#define PDL_INTERRUPT_ENABLE_RTC               PDL_OFF

// Watch Counter
#define PDL_INTERRUPT_ENABLE_WC                PDL_OFF

// Watchdog Timers
#define PDL_INTERRUPT_ENABLE_HWWDG             PDL_OFF
#define PDL_INTERRUPT_ENABLE_SWWDG             PDL_ON

/**
 ******************************************************************************
 ** User Interrupt level settings
 **
 ** Possible values are 0 (high priority) to 15 (low priority)
 ******************************************************************************/
 // Analog Digital Converters
#define PDL_IRQ_LEVEL_ADC0                      15u
#define PDL_IRQ_LEVEL_ADC1                      15u
#define PDL_IRQ_LEVEL_ADC2_LCD                  15u

// Base Timers
#define PDL_IRQ_LEVEL_BT0_7_FLASH               15u

// Watch Counter / Clock Stabilization Irq
#define PDL_IRQ_LEVEL_CLK_WC_RTC                15u

// Clock Supervisor/Watch Counter/Real-Time Clock
#define PDL_IRQ_LEVEL_CSV                       15u

// Dual Timer/QPRC
#define PDL_IRQ_LEVEL_DT_QPRC                   15u

// External Interrupts + NMI
#define PDL_IRQ_LEVEL_EXINT0_7                  15u
#define PDL_IRQ_LEVEL_EXINT8_31                 15u

// Low Voltage Detection Interrupt
#define PDL_IRQ_LEVEL_LVD                       15u

// Multi Function Serial Interfaces
#define PDL_IRQ_LEVEL_MFS0_8_TX                 15u
#define PDL_IRQ_LEVEL_MFS0_8_RX                 15u
#define PDL_IRQ_LEVEL_MFS1_9_TX                 15u
#define PDL_IRQ_LEVEL_MFS1_9_RX                 15u
#define PDL_IRQ_LEVEL_MFS2_10_TX                15u
#define PDL_IRQ_LEVEL_MFS2_10_RX                15u
#define PDL_IRQ_LEVEL_MFS3_11_TX                15u
#define PDL_IRQ_LEVEL_MFS3_11_RX                15u
#define PDL_IRQ_LEVEL_MFS4_12_TX                15u
#define PDL_IRQ_LEVEL_MFS4_12_RX                15u
#define PDL_IRQ_LEVEL_MFS5_13_TX                15u
#define PDL_IRQ_LEVEL_MFS5_13_RX                15u
#define PDL_IRQ_LEVEL_MFS6_14_TX_DMA1           15u
#define PDL_IRQ_LEVEL_MFS6_14_RX_DMA0           15u
#define PDL_IRQ_LEVEL_MFS7_15_TX_DMA3           15u
#define PDL_IRQ_LEVEL_MFS7_15_RX_DMA2           15u

// Multi Function Timer Interrupts
#define PDL_IRQ_LEVEL_MFT_FRT                   15u
#define PDL_IRQ_LEVEL_MFT_OCU                   15u
#define PDL_IRQ_LEVEL_MFT_WFG                   15u
#define PDL_IRQ_LEVEL_MFT_ICU                   15u

// NMI
#define PDL_IRQ_LEVEL_NMI                       15u

// PPG Interrupts
#define PDL_IRQ_LEVEL_PPG                       15u

// Watchdog Timers
#define PDL_IRQ_LEVEL_HWWDG                     15u
#define PDL_IRQ_LEVEL_SWWDG                     15u

/**
 ******************************************************************************
 ** PDL resource enable check
 **
 ** \note It does not check, if a device has actually any in pdl.h enabled
 **       resource and all instances available!
 **
 ******************************************************************************/


// Activate code in adc.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_ADC0 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_ADC1 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_ADC2 == PDL_ON)
    #define PDL_PERIPHERAL_ADC_ACTIVE
#endif

// Activate code in bt.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_BT0 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_BT1 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_BT2 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_BT3 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_BT4 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_BT5 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_BT6 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_BT7 == PDL_ON)
    #define PDL_PERIPHERAL_BT_ACTIVE
#endif

// Activate code in crc.c if set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_CRC == PDL_ON)
    #define PDL_PERIPHERAL_CRC_ACTIVE
#endif

// Activate code in clk.c if set to PDL_ON or WC enabled
#if (PDL_PERIPHERAL_ENABLE_CLK == PDL_ON)
    #define PDL_PERIPHERAL_CLK_ACTIVE
#endif

// Activate code in crtrim.c if set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_CR == PDL_ON)
    #define PDL_PERIPHERAL_CR_ACTIVE
#endif

// Activate code in csv.c if set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_CSV == PDL_ON)
    #define PDL_PERIPHERAL_CSV_ACTIVE
#endif

// Activate code in dac.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_DAC == PDL_ON)
    #define PDL_PERIPHERAL_DAC_ACTIVE
#endif

// Activate code for dma.c
#if ((PDL_PERIPHERAL_ENABLE_DMA0 == PDL_ON) || \
     (PDL_PERIPHERAL_ENABLE_DMA1 == PDL_ON) || \
     (PDL_PERIPHERAL_ENABLE_DMA2 == PDL_ON) || \
     (PDL_PERIPHERAL_ENABLE_DMA3 == PDL_ON) )
    #define PDL_PERIPHERAL_DMA_ACTIVE
#endif

// Activate code in dt.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_DT == PDL_ON)
    #define PDL_PERIPHERAL_DT_ACTIVE
#endif

// Activate code in exint.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_EXINT0           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT1           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT2           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT3           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT4           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT5           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT6           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT7           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT8           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT9           == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT10          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT11          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT12          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT13          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT14          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT15          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT16          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT17          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT18          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT19          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT20          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT21          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT22          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT23          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT24          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT25          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT26          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT27          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT28          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT29          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT30          == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_EXINT31          == PDL_ON)
    #define PDL_PERIPHERAL_EXINT_ACTIVE
#endif

// Activate code in flash.c if set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_FLASH        == PDL_ON)
    #define PDL_PERIPHERAL_FLASH_ACTIVE
#endif

// Activate code in gpio.c if set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_GPIO == PDL_ON)
    #define PDL_PERIPHERAL_GPIO_ACTIVE
#endif

// Activate code in lpm.c if set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_LPM == PDL_ON)
    #define PDL_PERIPHERAL_LPM_ACTIVE
#endif

// Activate code in lvd.c if set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_LVD == PDL_ON)
    #define PDL_PERIPHERAL_LVD_ACTIVE
#endif

// Activate code in mfs.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_MFS0  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS1  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS2  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS3  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS4  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS5  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS6  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS7  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS8  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS9  == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS10 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS11 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS12 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS13 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS14 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFS15 == PDL_ON)
    #define PDL_PERIPHERAL_MFS_ACTIVE
#endif

// Activate code in mft_frt.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_MFT0_FRT == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT1_FRT == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT2_FRT == PDL_ON)
    #define PDL_PERIPHERAL_MFT_FRT_ACTIVE
#endif

// Activate code in mft_ocu.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_MFT0_OCU == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT1_OCU == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT2_OCU == PDL_ON)
    #define PDL_PERIPHERAL_MFT_OCU_ACTIVE
#endif

// Activate code in mft_wfg.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_MFT0_WFG == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT1_WFG == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT2_WFG == PDL_ON)
    #define PDL_PERIPHERAL_MFT_WFG_ACTIVE
#endif

// Activate code in mft_icu.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_MFT0_ICU == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT1_ICU == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT2_ICU == PDL_ON)
    #define PDL_PERIPHERAL_MFT_ICU_ACTIVE
#endif

// Activate code in mft_adcmp.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_MFT0_ADCMP == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT1_ADCMP == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_MFT2_ADCMP == PDL_ON)
    #define PDL_PERIPHERAL_MFT_ADCMP_ACTIVE
#endif

// Activate NMI code in exint.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_NMI == PDL_ON)
    #define PDL_PERIPHERAL_NMI_ACTIVE
#endif

// Activate code in ppg.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_PPG == PDL_ON)
    #define PDL_PERIPHERAL_PPG_ACTIVE
#endif

// Activate code in qprc.c if set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_QPRC0 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_QPRC1 == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_QPRC2 == PDL_ON)
    #define PDL_PERIPHERAL_QPRC_ACTIVE
#endif

// Reset Cause
#if (PDL_PERIPHERAL_ENABLE_RESET == PDL_ON)
    #define PDL_PERIPHERAL_RESET_ACTIVE
#endif

// Real Time Clock
#if (PDL_PERIPHERAL_ENABLE_RTC == PDL_ON)
    #define PDL_PERIPHERAL_RTC_ACTIVE
#endif

// Unique ID
#if (PDL_PERIPHERAL_ENABLE_UID == PDL_ON)
    #define PDL_PERIPHERAL_UID_ACTIVE
#endif

// Activate code in wc.c if one or more are set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_WC == PDL_ON)
    #define PDL_PERIPHERAL_WC_ACTIVE
#endif

// Activate code in wdg.c is set to PDL_ON
#if (PDL_PERIPHERAL_ENABLE_HWWDG == PDL_ON) || \
    (PDL_PERIPHERAL_ENABLE_SWWDG == PDL_ON)
    #define PDL_PERIPHERAL_WDG_ACTIVE
#endif

/**
 ******************************************************************************
 ** \brief PDL utility enable check
 ******************************************************************************/
#define PDL_UTILITY_ENABLE_I2C_POLLING_AT24CXX    PDL_OFF
#define PDL_UTILITY_ENABLE_I2C_INT_AT24CXX        PDL_OFF
#define PDL_UTILITY_ENABLE_CSIO_INT_S25FL127S     PDL_OFF
#define PDL_UTILITY_ENABLE_UART_PRINTF            PDL_OFF

/**
 ******************************************************************************
 ** \brief Enable/disable print on the terminal window
 ******************************************************************************/
#define DEBUG_PRINT

#endif // __PDL_USER_H__

/******************************************************************************/
/* EOF (not truncated)                                                        */
/******************************************************************************/
